# Data.DefaultData (ARX Developer Documentation)

org.deidentifier.arx

## Class Data.DefaultData

- java.lang.Object
- - org.deidentifier.arx.Data
  - - org.deidentifier.arx.Data.DefaultData

- Enclosing class:
    Data

      public static class Data.DefaultData
      extends Data

  The default implementation of a data object. It allows the user to programmatically define its content.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.Data

      `Data.DefaultData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data.DefaultData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String... row)` Adds a row to this data object.
    `protected java.util.Iterator<java.lang.String[]>` | `iterator()` Iterator.

    - ### Methods inherited from class org.deidentifier.arx.Data

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDefinition, getHandle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Data.DefaultData

          public Data.DefaultData()

  - ### Method Detail

    - #### add

          public void add(java.lang.String... row)

      Adds a row to this data object.
      Parameters:
        `row` - the row

    - #### iterator

          protected java.util.Iterator<java.lang.String[]> iterator()

      Description copied from class: `Data`
      Iterator.
      Specified by:
        `iterator` in class `Data`
      Returns:
        the iterator